<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddLangue extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("langue", ['id' => false, 'primary_key' => ["langue_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('langue_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('langue_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'langue_id'])
            ->addColumn('langue_ini', 'string', ['null' => false, 'default' => '', 'limit' => 5, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'langue_nom'])
            ->addColumn('langue_img', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'langue_ini'])
            ->addColumn('langue_img_site', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'langue_img'])
            ->addColumn('langue_rang', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'langue_img_site'])
            ->addColumn('actif_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'langue_rang', 'signed' => false])
            ->addIndex(['actif_id'], ['name' => "actif_id", 'unique' => false])
            ->create();
    }
}
