<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddClubFidelite extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("club_fidelite", ['id' => false, 'primary_key' => ["club_fidelite_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('club_fidelite_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('club_fidelite_pourcent', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'club_fidelite_id'])
            ->addColumn('taxe_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'club_fidelite_pourcent', 'signed' => false])
            ->addColumn('club_fidelite_montant', 'decimal', ['null' => false, 'default' => '0.0000', 'precision' => 15, 'scale' => 4, 'after' => 'taxe_id'])
            ->addColumn('club_fidelite_nbjour', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'club_fidelite_montant'])
            ->addForeignKey('taxe_id', 'taxe', 'taxe_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['taxe_id'], ['name' => "taxe_id", 'unique' => false])
            ->create();

        $this
            ->table("club_fidelite_nom", ['id' => false, 'primary_key' => ["club_fidelite_nom_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('club_fidelite_nom_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('club_fidelite_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'club_fidelite_nom_id', 'signed' => false])
            ->addColumn('club_fidelite_nom_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'club_fidelite_id'])
            ->addColumn('langue_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'club_fidelite_nom_nom', 'signed' => false])
            ->addForeignKey('club_fidelite_id', 'club_fidelite', 'club_fidelite_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('langue_id', 'langue', 'langue_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['langue_id', 'club_fidelite_id'], ['name' => "langue_id_2", 'unique' => true])
            ->addIndex(['langue_id'], ['name' => "langue_id", 'unique' => false])
            ->addIndex(['club_fidelite_id'], ['name' => "club_fidelite_id", 'unique' => false])
            ->create();
    }
}
