<?php

namespace Controller;

use Boutique;
use Langue;
use Temoignage;

use Symfony\Component\Routing\Annotation\Route;

/**
 * Class ReviewController
 * @package Controller
 */
class ReviewController extends Controller
{
    /**
     * @Route(
     *      path         = "/reviews/{produit_nom}-{id}/",
     *      name         = "review_show",
     *      requirements = { "produit_nom" = "[a-zA-Z0-9-_]+", "id" = "[0-9]+" }
     * )
     */
    public function show()
    {
        $id = $this->request->get("id");
        $lg = Boutique::getInstance()->getLangue()->id;
        $review = new Temoignage();
        $reviews = $review->get(array("produit_id" => $id, "t.langue_id" => $lg));
        $localizedReviews = $review->get(array("t.produit_id" => $id));

        if (count($reviews) != count($localizedReviews)) {
            $this->template->assign("hasForeign", true);
        }

        $this->template->assign("reviews", $reviews);
        $this->template->assign("awaitedLanguage", $lg);

        return $this->fetch("produit/reviews.tpl");
    }

    /**
     * @Route(
     *      path         = "/reviews/{produit_nom}-{id}/{lg}/",
     *      name         = "review_localized",
     *      requirements = { "produit_nom" = "[a-zA-Z0-9-_]+", "id" = "[0-9]+", "lg" = "[0-9]+" }
     * )
     */
    public function showLocalized()
    {
        $id = $this->request->get("id");
        $lg = $this->request->get("lg");

        $review = new Temoignage();
        $reviews = $review->get(array(
            "t.produit_id" => $id,
            "t.langue_id"  => $lg
        ));

        $this->template->assign("reviews", $reviews);
        $this->template->assign("awaitedLanguage", $lg);
        $this->template->assign("shopDomain", Boutique::getInstance()->domaine);
        $this->template->assign("themeFolder", Boutique::getInstance()->dossier);

        return $this->fetch("produit/review_list.tpl");
    }
}