<?php

/**
 * Smarty plugin
 * -------------------------------------------------------------
 * File:     function.image.php
 * Type:     function
 * Name:     image
 * Purpose:  outputs image
 * -------------------------------------------------------------
 */
function smarty_function_image($params, Smarty_Internal_Template $template) {

    $infos = parse_url($params['src']);

    if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
        $infos['path'] = str_replace('/', DS, $infos['path']);
    }

    $src = str_replace(MEDIA_DIR, DS, rtrim(SITE_DIR, DS) . $infos['path']);

    if ((array_key_exists('width', $params) == false || array_key_exists('height', $params) == false) && !empty($params['src'])) {
        if(is_file(rtrim(SITE_DIR, '/').$infos['path'])){
            $size = getimagesize(rtrim(SITE_DIR, DS).$infos['path']);

            if (array_key_exists('width', $params) == false) {
                $params['width'] = $size[0];
            }

            if (array_key_exists('height', $params) == false) {
                $params['height'] = $size[1];
            }
        }

    }

    unset($params['src']);

    // onclick rewriter
    if (array_key_exists('location', $params)) {
        $params['onclick'] = "location.href='" . $params['location'] . "'";
        unset($params['location']);
    }

    $tag = (array_key_exists('tag', $params)) ? $params['tag'] : true;

    $imager = new Imager();

    return $imager->imager($src, $params, $tag);
}
