/* MAIN.JS */
$(document).ready(function(){

    // ------------------------------------------------------=> FORMS
    //Input File
    var fileInput = $('.file');
    $(fileInput).change(function () {
        $this = $(this);
        $nameFile = $($this).val().replace(/C:\\fakepath\\/i, '');
        $this.closest('.wrapInputfile').find('input[type=text]').attr("value", $nameFile);
    });

    //FLOAT LABEL
    floatLabel();

    //POPOVERS
    popovers();

    // SHOW MORE
    initShowHide();

    //Sous-menu Header compte et panier
    $('.wrapHeaderTopAccount').on('mouseenter', function () {
        $(this).addClass('active');
    }).on('mouseleave', function (e) {
        if (e.relatedTarget != null) {
            $(this).removeClass('active');
        }
    });
    $('.wrapHeaderTopCart').on('mouseenter', function () {
        $(this).addClass('active');
    }).on('mouseleave', function (e) {
        if (e.relatedTarget != null) {
            $(this).removeClass('active');
        }
    });

    // ------------------------------------------------------=> BOOTSTRAP TOOLTIPS
    $('[data-toggle="tooltip"]').tooltip();

    // ------------------------------------------------------=> DATEPICKER
    $('.wrapFloatLabel .datepicker').datepicker({
        onClose: function() {
            if($(this).val()!='') {
                $(this).addClass('active');
            }
        }
    });

    //  ------------------------------------------------------=> MAIN MENU
    dediMenu();
    overlaySite();

    // ===================ANCHOR LINKS SMOOTHSCROLL
    jQuery(document).on('click', "a.smoothscroll", function(e){
        e.preventDefault();
        smoothScroll(this);
    });


    //------------------------------------------=> Boostrap accordion collapse add class active
    jQuery(".panel-group .panel-default").each(function(){
        var collapseLink = jQuery(this).find('.deliveryLabel');
        var thisPanel = jQuery(this);
        var others = jQuery(".panel-group .panel-default").not(this);
        jQuery(collapseLink).on('click', function () {
            thisPanel.addClass('active');
            others.removeClass('active');
        });
    });


});

$(window).on('load', function () {
    setTimeout(function () {
        if (navigator.userAgent.search("Chrome") >= 0) {
            jQuery('input.floatLabelInput:-webkit-autofill').addClass('active');
        }
    },500);
});

var smoothScroll = function (link) {
    var target = jQuery("#" + jQuery(link).attr("href").split("#")[1]);
    if(target.length > 0){
        jQuery('html, body').animate({scrollTop: target.offset().top - 250}, 500);
    }
};


//  ------------------------------------------------------=> FORMS FLOATING LABELS
function floatLabel() {
    jQuery('.floatLabelInput').each(function(){
        if(!jQuery(this).val().length == 0 || !jQuery(this).attr('placeholder') == 0) {
            jQuery(this).addClass('active');
        }else{
            jQuery(this).removeClass('active');
        }
    });
    jQuery(document).on('focus', '.floatLabelInput', function(){
        var $this = jQuery(this);
        if($this.find('.active').length == 0) {
            $this.addClass('active');
        } else {
            $this.removeClass('active');
        }
    });
    jQuery(document).on('blur', '.floatLabelInput', function(){
        if(!jQuery(this).val().length == 0 || !jQuery(this).attr('placeholder') == 0) {
            jQuery(this).addClass('active');
        } else {
            jQuery(this).removeClass('active');
        }
    });
}

//  ------------------------------------------------------=> POPOVERS
function popovers() {
    jQuery('[data-toggle="popover"]').popover({
        html: true
    });
}

//  ------------------------------------------------------=> AFFICHER LA SUITE/MASQUER
function initShowHide() {

    $('.showHide').each(function() {
        var $showHide = $(this),
            $showHideBody = $showHide.find('.showHideBody'),
            $showHideFooter = $showHide.find('.showHideFooter'),
            $showHideFooterLink = $showHide.find('.showHideFooterLink'),
            $showHideTextReadMore = $showHideFooter.find('.textReadMore'),
            $showHideTextReadLess = $showHideFooter.find('.textReadLess');

        // Initialisation (load, changeorientation, resize)
        $showHide.removeClass('preview');
        $showHideFooter.removeClass('hidden');
        $showHideBody.css('height', '');

        // On défini à partir de quelle hauteur de ".showHideBody" on rend pliable-dépliable la showHide
        var showHideBodyMaxheight = $(this).parents('.lastProduct:first').length>0 ? 0 : 135;          // 6 lignes visibles
        var showHideBodyOuterHeight = $showHideBody.outerHeight();

        if (showHideBodyOuterHeight >= showHideBodyMaxheight) {
            $showHide.addClass('preview');
            $showHideFooter.removeClass('hidden');
            if(!$showHide.hasClass('previewDisabled')) {
                $showHideBody.css({'height' : showHideBodyMaxheight});
            }

            $showHideFooterLink.unbind('click');
            $showHideFooterLink.on('click', function(e) {
                e.preventDefault();

                var $this = $(this);
                $this.button('toggle');
                $this.closest('.showHide').toggleClass('preview');
                $this.closest('.showHide').toggleClass('previewDisabled');

                // Animation de la hauteur
                if($this.closest('.showHide').hasClass('previewDisabled')) {
                    $showHideBody.animate({'height' : showHideBodyOuterHeight}, 300);
                } else {
                    $showHideBody.animate({'height' : showHideBodyMaxheight}, 300);
                }

                // changement de bouton afficher plus / voir moins
                if ($this.hasClass('active') === true) {
                    $showHideTextReadMore.addClass('hidden');
                    $showHideTextReadLess.removeClass('hidden');
                } else {
                    $showHideTextReadMore.removeClass('hidden');
                    $showHideTextReadLess.addClass('hidden');
                }
            });
        } else {
            $showHideFooter.hide();
        }
    });
}


/*
* FONCTION QUI APPELLE LE MENU
* */
function dediMenu() {

    // Déclaration des variables
    var pictoMenu = document.getElementById('pictoMenu'),
        wrapSiteHide = document.getElementById('wrapSiteHide'),
        bodyPage = document.body,
        arrowR = document.querySelectorAll('a.arrowR'),
        backMenu = document.querySelectorAll('a.backMenuLink'),
        arrowRFold = document.querySelectorAll('.hadSubMenu.fold > div .arrowR'),
        linkFirstLevel = document.querySelectorAll('.linkFirstMenu');

    // Event click sur le picto du menu
    pictoMenu.onclick = function(e) {
        e.preventDefault();
        bodyPage.classList.toggle('openSidebar');
    };
    // Event click sur l'overlay pour fermer le menu
    wrapSiteHide.onclick = function(e) {
        e.preventDefault();
        bodyPage.classList.remove('openSidebar');
    };

    // Detection du click sur la bonne flèche pour le menu suivant et affectation de la classe open
    for (var item of arrowR) {
        item.onclick = function(e) {
            e.preventDefault();
            this.parentNode.nextElementSibling.classList.add('open');
        };
    }

    // Detection du click sur la bonne flèche pour le retour arrière et suppression de la classe open
    for (var item of backMenu) {
        item.onclick = function(e) {
            e.preventDefault();
            this.closest('.blocMenu').classList.remove('open');
        };
    }

    /*
    * FOLD : Détection du click sur le bon + et ajout des classes pour ouvrir et fermer le menu de dessous.
    * */
    for(item of arrowRFold) {
        item.onclick = function(e) {
            e.preventDefault();
            var parentFold = this.parentNode.nextElementSibling;
            if(parentFold.classList.contains('openFold')) {
                this.classList.remove('unfold');
                parentFold.classList.remove('openFold');
                parentFold.classList.add('openUnfold');
            }else{
                this.classList.add('unfold');
                parentFold.classList.add('openFold');
                parentFold.classList.remove('openUnfold');
            }
        }
    }

    /*
    * /!\ PARTIE 1024px : A n'activer que si nécessaire. Désactive les liens de premiers niveaux pour afficher le sous-menu en tablette paysage.
    * */
    if(window.matchMedia("(width: 1024px)").matches) {
        /*
         Désactivation du click pour tablette sur le premier niveau de menu pour afficher le menu déroulant
         Effectif que pour le format 1024px
         */
        for (var item of linkFirstLevel) {
            item.onclick = function(e) {
                e.preventDefault();
            };
        }
    }
    window.addEventListener("resize", function(){
        if(window.innerWidth == 1024){
            for (var item of linkFirstLevel) {
                item.onclick = function(e) {
                    e.preventDefault();
                };
            }
        }else{
            for (var item of linkFirstLevel) {
                item.onclick = function() {
                    return true;
                };
            }
        }
    });

}

/*
* FONCTION OVERLAY DU CONTENU SUR HOVER MENU
* */
function overlaySite() {

    var firstLi = document.querySelectorAll('.menu .firstLevel > li'),
        target = document.querySelector('.wrapSiteContent');


    for(item of firstLi) {
        item.onmouseenter = function() {
            if(this.classList.contains('hadSubMenu')) {
                target.classList.add('menuOn')
            }else{
                target.classList.remove('menuOn')
            }
        }
    }
    target.onmouseenter = function(){
        if(target.classList.contains('menuOn')) {
            this.classList.remove('menuOn');
        }
    };

}


// POLYFILL IE/Edge pour closest en JAVASCRIPT
if (!Element.prototype.matches)
    Element.prototype.matches = Element.prototype.msMatchesSelector ||
    Element.prototype.webkitMatchesSelector;

if (!Element.prototype.closest)
    Element.prototype.closest = function(s) {
        var el = this;
        if (!document.documentElement.contains(el)) return null;
        do {
            if (el.matches(s)) return el;
            el = el.parentElement || el.parentNode;
        } while (el !== null && el.nodeType == 1);
        return null;
    };

//EVENT LISTENER
window.addEventListener("orientationchange", function() {
    initShowHide();
}, false);
window.addEventListener("resize", function() {
    initShowHide();
}, false);