//Configuration

// Environnement
var env = require('./env');

//Require
gulp = require('gulp');
gutil = require('gulp-util');
gulpif = require('gulp-if');
concat = require('gulp-concat');
//pump = require('pump');

//Dépendances BrowserSync
if(env.browserSyncEnable == 1){
    browserSync = require('browser-sync');
}

//Dépendances CSSO
if(env.cssCompress == 1){
    csso = require('gulp-csso');
}

//Dépendances Uglify
if(env.jsCompress == 1){
    var uglify = require('gulp-uglify-es').default;
}

gulpLoader = require('gulp-load-plugins')({
    scope: ['devDependencies']
});



// Tasks
var path = require('./paths');

//JS
gulp.task('concatJs', function(){
    gutil.log(' ');
    gutil.log('*******************************************');
    gutil.log('Compilation des JS en cours...');
    if(env.jsCompress == 1) {
        gulp.src(path.concatJsScripts)
            .pipe(concat('app.js'))
            .pipe(uglify())
            .pipe(gulp.dest(path.js));
    }else{
        gulp.src(path.concatJsScripts)
            .pipe(concat('app.js'))
            .pipe(gulp.dest(path.js));
    }
    gutil.log('JS compilés');
    gutil.log('*******************************************');
    gutil.log(' ');
});

//CSS
gulp.task('concatCss', function(){
    gutil.log(' ');
    gutil.log('Compilation des CSS en cours...');
    if(env.cssCompress == 1){
        gulp.src(path.concatCssScripts)
            .pipe(concat('app.css'))
            .pipe(csso())
            .pipe(gulp.dest(path.css));
    }else{
        gulp.src(path.concatCssScripts)
            .pipe(concat('app.css'))
            .pipe(gulp.dest(path.css));
    }
    gutil.log('CSS compilés');
    gutil.log(' ');
});

gulp.task('sass', function(){
    var sassOpts = {};

    gulp.src(path.scss + '*.scss')
        .pipe(gulpLoader.sass(sassOpts).on('error', gulpLoader.sass.logError))
        .pipe(gulp.dest(path.cssDev))
        .pipe(gulpLoader.size())
        .pipe(gulpLoader.autoprefixer({
            browsers: [path.versionBrowsers],
            cascade: true
        }))
        .pipe(gulpif(env.browserSyncEnable==1,browserSync.reload({stream:true})));
});

//Gestion des images sprites
if(env.gestImg == 1) {
    gulp.task('copyNonRetina', function(){
        dest = path.imgDev;
        gulp.src(path.imgRetina + "*.png")
            .pipe(gulpLoader.changed(dest))
            .pipe(gulpLoader.imageResize({width: '50%', height: '50%', imageMagick: true}))
            .pipe(gulp.dest(dest));
    });

    gulp.task('sprite', ['copyNonRetina'], function(){
        opts = {optimizationLevel: 5, progressive: true, interlace: true};
        sprite = gulp.src(path.imgRetina + '*.png')
            .pipe(gulpLoader.spritesmith({imgName: "sprite@2x.png", cssName: "_sprite.scss"}))
            .img
            .pipe(gulpLoader.imagemin(opts))
            .pipe(gulp.dest(path.images));

        sprite = gulp.src(path.imgDev + '*.png')
            .pipe(gulpLoader.spritesmith({
                imgName: "sprite.png",
                cssName: "_sprite.scss",
                cssSpritesheetName: 'sprite',
                cssVarMap: function(sprite) {
                    sprite.spritename = sprite.image.replace(".png","");
                    return sprite;
                },
                cssTemplate: path.tplSprite + "_tplSprite.scss"
            }));
        /*sprite = gulp.src(path.images + 'sprite@2x.png')
         .pipe(gulpLoader.imageResize({width: '50%', height: '50%', imageMagick: true}))
         .pipe(gulpLoader.rename(function (varPath){varPath.basename="sprite";}))
         .pipe(gulp.dest(path.images))
         .pipe(gulpLoader.spritesmith({
         imgName: "sprite.png",
         cssName: "_sprite.scss",
         cssTemplate: path.tplSprite + "_tplSprite.scss"
         }));*/

        sprite.img
            .pipe(gulpLoader.imagemin(opts))
            .pipe(gulp.dest(path.images));
        sprite.css.pipe(gulp.dest(path.scss));
    });
}



gulp.task('default', ['concatCss','concatJs'], function(){

    //Open Browser pour le browserSync
    if(env.browserSyncEnable==1){
        browserSync({
            notify: false,
            //server: {baseDir:'./'},
            //proxy: path.srv
            proxy: {
                target: path.srv
            }
        });
    }

    //Watcher TPL
    if(env.browserSyncEnable==1) {
        gulp.watch(path.tpl + '**/*.tpl', function(){
            browserSync.reload();
        });
    }

    //Watcher JS
    gulp.watch(path.jsDev + '**/*.js', function(){
        gulp.start('concatJs');
        if(env.browserSyncEnable==1){
            browserSync.reload();
        }
    });

    //Watcher CSS
    //gulp.watch(path.cssDev + '*.css', function(){
    //    gutil.log('Modification des CSS');
    //    gulp.start('concatCss');
    //    if(env.browserSyncEnable==1){
    //        browserSync.reload();
    //    }
    //    gutil.log('*******************************************');
    //    gutil.log(' ');
    //});


    //Watcher Sprite
    if(env.gestImg == 1) {
        gulp.watch(path.imgRetina + '*.png', function(){
            gulp.start('sprite');
        });
        gulp.watch(path.imgDev + '*.png', function(){
            gulp.start('sprite');
        });
    }

    //Watcher SCSS
    gulp.watch(path.scss + '**/*.scss', function(){
        gutil.log(' ');
        gutil.log('*******************************************');
        gutil.log('Compilation des SCSS en cours...');
        gulp.start('sass');
        gutil.log('SCSS modifiés.');
        gutil.log(' ');
        gulp.start('concatCss');
        gutil.log('*******************************************');
        gutil.log(' ');
    })
});