{extends file='layout/layout.tpl'}

{block name="bodyClass"}pageStyleguide{/block}



{block name="content"}
    <!--styleguide-->

    <div class="styleguide">
        <div class="container">

            {* //MENU *}
            <div class="menuStyleguide d-xs-none d-sm-none d-xl-block">
                <ul class="list-unstyled">
                    <li><a class="smoothscroll" href="#blockColorsStyleguide">Colors</a></li>
                    <li><a class="smoothscroll" href="#blockTitlesStyleguide">Typography</a></li>
                    <li><a class="smoothscroll" href="#blockButtonsStyleguide">Buttons</a></li>
                    <li><a class="smoothscroll" href="#blockModalsStyleguide">Modals</a></li>
                    <li><a class="smoothscroll" href="#blockElementsStyleguide">Elements</a></li>
                    {*<li><a class="smoothscroll" href="#blockCollapseStyleguide">Collapse</a></li>*}
                    <li><a class="smoothscroll" href="#blockFormsStyleguide">Forms</a></li>
                    <li><a class="smoothscroll" href="#blockTableStyleguide">Tables</a></li>
                    {*<li><a class="smoothscroll" href="#blocSliderStyleguide">Slider</a></li>*}
                    <li><a class="smoothscroll" href="#blockProductStyleguide">Product</a></li>
                    {*<li><a class="smoothscroll" href="#blockContentStyleguide">Content</a></li>*}
                    {*<li><a class="smoothscroll" href="#blockHelpersStyleguide">Helpers</a></li>*}
                </ul>
            </div>
            {* MENU// *}

            {* COLORS *}
            <section id="blockColorsStyleguide">
                <h2 class="sectionTitle">Colors</h2>
                <div class="rowColor">
                    {for $i=1 to 4} {* nombre de couleurs présentes dans l'array $custom-colors *}
                        <span class="styleguidecolor theme-colors"></span>
                    {/for}
                </div>

                <div class="rowColor mt-2">
                    {for $i=1 to 11} {* nombre de couleurs présentes dans l'array $grey-colors *}
                        <span class="styleguidecolor grey-colors"></span>
                    {/for}
                </div>
            </section>
            {* //COLORS *}

            {* TITLES AND TEXTS *}
            <section id="blockTitlesStyleguide">
                <h2 class="sectionTitle">Typography</h2>
                <div class="row">
                    <div class="col">
                        <h1 class="h1">Titre niveau 1</h1>
                        <h2 class="h2">Titre niveau 2</h2>
                        <h3 class="h3">Titre niveau 3</h3>
                        <h4 class="h4">Titre niveau 4</h4>
                        <h5 class="h5">Titre niveau 5</h5>
                        <pre><code>&lt;h1 class="h1"&gt;&lt;/h1&gt;
&lt;h2 class="h2"&gt;&lt;/h2&gt;
&lt;h3 class="h3"&gt;&lt;/h3&gt;
&lt;h4 class="h4"&gt;&lt;/h4&gt;
&lt;h5 class="h5"&gt;&lt;/h5&gt;</code></pre>

                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col-sm-6">
                        {include file="elements/link.tpl" text="Exemple de lien"}<br>
                        {include file="elements/link.tpl" text="Exemple de lien" class="link"}<br>
                        {include file="elements/link.tpl" text="Exemple de lien" class="link reverse"}<br>

                        {literal}
                            <pre><code>{include file="elements/link.tpl" text=""}
{include file="elements/link.tpl" text="" class="link"}
{include file="elements/link.tpl" text="" class="link reverse"}</code></pre>
                        {/literal}
                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col">
                        <p class='h5'>Afficher/masquer le texte sur mobile</p>
                        {include file="elements/show_hide.tpl" text="<p>Emensis itaque difficultatibus multis et nive obrutis callibus plurimis ubi prope Rauracum ventum est ad supercilia fluminis Rheni, <strong>resistente multitudine Alamanna pontem suspendere</strong> navium conpage Romani vi nimia vetabantur ritu grandinis undique convolantibus telis, et cum id inpossibile videretur, imperator cogitationibus magnis attonitus, quid capesseret ambigebat.</p>
                <p>Sed ut tum ad senem senex de senectute, sic hoc libro ad amicum amicissimus scripsi de amicitia. Tum est Cato locutus, quo erat nemo fere senior temporibus illis, <a href=''>vanimus estella</a> ; nunc Laelius et sapiens (sic enim est habitus) et amicitiae gloria excellens de amicitia loquetur. Tu velim a me animum  <a href=''>vanimus estella</a> parumper avertas, Laelium loqui ipsum putes. C. Fannius et Q. Mucius ad socerum veniunt post mortem African.</p>"}
                        {literal}<pre><code>{include file="elements/show_hide.tpl" text=""}</code></pre>{/literal}
                    </div>
                </div>
            </section>
            {* // TITLES AND TEXTS *}

            {* BUTTONS *}
            <section id="blockButtonsStyleguide" class="buttons">
                <h2 class="sectionTitle">Buttons</h2>
                <div class="row">
                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" class="primary" text="Bouton principal (lien)"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" class="primary" text="Bouton principal (bouton)"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" class="primary" icon="arrow" text="Bouton principal avec picto"}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" class="primary" text=""}
{include file="elements/button.tpl" tag="button" type="button" class="primary" text=""}
{include file="elements/button.tpl" tag="button" type="button" class="primary" icon="arrow" text=""}</code></pre>{/literal}
                    </div>
                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" class="secondary" text="Bouton secondaire (lien)"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" class="secondary" text="Bouton secondaire (bouton)"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" class="secondary" icon="success" text="Bouton secondaire avec picto"}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" class="secondary" text=""}
{include file="elements/button.tpl" tag="button" type="button" class="secondary" text=""}
{include file="elements/button.tpl" tag="button" type="button" class="secondary" icon="success" text=""}</code></pre>{/literal}
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" text="Bouton standard (lien)"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" text="Bouton standard (bouton)"}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" icon="arrow" text="Bouton standard avec picto"}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" text=""}
{include file="elements/button.tpl" tag="button" type="button" text=""}
{include file="elements/button.tpl" tag="button" type="button" icon="arrow" text=""}</code></pre>{/literal}
                    </div>
                    <div class="col-lg-6">
                        <div>{include file="elements/button.tpl" tag="a" href="#" text="Bouton désactivé (lien)" class="secondary" disabled=true}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" text="Bouton désactivé (bouton)" class="secondary" disabled=true}</div>
                        <div class="mt-2">{include file="elements/button.tpl" tag="button" type="button" icon="danger" text="Bouton désactivé avec picto" class="secondary" disabled=true}</div>
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="" type="" text="" class="secondary" disabled=true}
{include file="elements/button.tpl" tag="buttontype="button" text="" class="secondary" disabled=true}
{include file="elements/button.tpl" tag="buttontype="button" icon="danger" text="" class="secondary" disabled=true}</code></pre>{/literal}
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-6">
                        <div>
                            {include file="elements/button.tpl" tag="a" href="#" class="backToTop" icon="arrow" text="Top"}
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div>
                            {include file="elements/button.tpl" tag="a" href="#" class="primary" icon="success"}
                            {include file="elements/button.tpl" tag="a" href="#" class="secondary" icon="danger"}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="#" class="backToTop" icon="arrow" text="Top"}</code></pre>{/literal}
                    </div>
                    <div class="col-lg-6">
                        {literal}<pre><code>{include file="elements/button.tpl" tag="a" href="#" class="primary" icon="success"}
{include file="elements/button.tpl" tag="a" href="#" class="secondary" icon="danger"}</code></pre>{/literal}
                    </div>
                </div>

            </section>
            {* // BUTTONS*}

            {*MODALS*}
            <section class="blockModalsStyleguide" id="blockModalsStyleguide">
                <h2 class="sectionTitle">Modal</h2>
                <div class="row">
                    <div class="col-sm-6">
                        {include file="elements/button_modal.tpl" data_target="modal-example" type="button" context="secondary" icon_text="" text="Modal example"}
                        {literal}<pre><code>{include file="elements/button_modal.tpl" data_target="modal-example" type="button" context="secondary" icon_text="" text="Modal example"}
{block name="modal" append}
    {include file="modal/modal_example.tpl"}
{/block}</code></pre>{/literal}
                    </div>
                    <div class="col-sm-6">
                        {include file="elements/button_modal.tpl" data_target="modal-example-xl" type="button" context="secondary" icon_text="" text="Modal example xlarge"}
                        {literal}<pre><code>{include file="elements/button_modal.tpl" data_target="modal-example-xl" type="button" context="secondary" icon_text="" text="Modal example xlarge"}
{block name="modal" append}
    {include file="modal/modal_example_xl.tpl"}
{/block}</code></pre>{/literal}
                    </div>
                </div>
            </section>
            {* // MODALS*}

            {*ELEMENTS*}
            <section class="blockElementsStyleguide" id="blockElementsStyleguide">
                <h2 class="sectionTitle">Elements</h2>

                {* // COLLPASE *}
                <div class="row">
                    <div class="col">
                        <a class="titleCollapse collapsed" data-toggle="collapse" href="#collapse1" role="button" aria-expanded="false" aria-controls="collapse1">
                            Titre du collapse
                            {include file="icons/arrow.tpl"}
                        </a>
                        <div class="collapse multi-collapse" id="collapse1">
                            <div class="collapseBody">
                                Contenu du collapse
                            </div>
                        </div>
                        {literal}<pre><code>&lt;a class="titleCollapse collapsed" data-toggle="collapse" href="#collapse1" role="button" aria-expanded="false" aria-controls="collapse1">
    Titre du collapse
    {include file="icons/arrow.tpl"}
&lt;/a>
&lt;div class="collapse multi-collapse" id="collapse1">
    &lt;div class="collapseBody">
        Contenu du collapse
    &lt;/div>
&lt;/div></code></pre>{/literal}
                    </div>
                </div>
                {*  COLLPASE// *}

                <hr />

                {* // SIMPLEBAR *}
                <div class="row">
                    <div class="col">
                        <div class="simplebar" data-simplebar>
                            <p>Exemple de contenu haut</p>
                            <p>Itaque tum Scaevola cum in eam ipsam mentionem incidisset, exposuit nobis sermonem Laeli de amicitia habitum ab illo secum et cum altero genero, C. Fannio Marci filio, paucis diebus post mortem Africani. Eius disputationis sententias memoriae mandavi, quas hoc libro exposui arbitratu meo; quasi enim ipsos induxi loquentes, ne 'inquam' et 'inquit' saepius interponeretur, atque ut tamquam a praesentibus coram haberi sermo videretur.</p>
                            <p>Adolescebat autem obstinatum propositum erga haec et similia multa scrutanda, stimulos admovente regina, quae abrupte mariti fortunas trudebat in exitium praeceps, cum eum potius lenitate feminea ad veritatis humanitatisque viam reducere utilia suadendo deberet, ut in Gordianorum actibus factitasse Maximini truculenti illius imperatoris rettulimus coniugem.</p>
                            <p>Quare talis improborum consensio non modo excusatione amicitiae tegenda non est sed potius supplicio omni vindicanda est, ut ne quis concessum putet amicum vel bellum patriae inferentem sequi; quod quidem, ut res ire coepit, haud scio an aliquando futurum sit. Mihi autem non minori curae est, qualis res publica post mortem meam futura, quam qualis hodie sit.</p>
                            <p>Itaque tum Scaevola cum in eam ipsam mentionem incidisset, exposuit nobis sermonem Laeli de amicitia habitum ab illo secum et cum altero genero, C. Fannio Marci filio, paucis diebus post mortem Africani. Eius disputationis sententias memoriae mandavi, quas hoc libro exposui arbitratu meo; quasi enim ipsos induxi loquentes, ne 'inquam' et 'inquit' saepius interponeretur, atque ut tamquam a praesentibus coram haberi sermo videretur.</p>
                            <p>Adolescebat autem obstinatum propositum erga haec et similia multa scrutanda, stimulos admovente regina, quae abrupte mariti fortunas trudebat in exitium praeceps, cum eum potius lenitate feminea ad veritatis humanitatisque viam reducere utilia suadendo deberet, ut in Gordianorum actibus factitasse Maximini truculenti illius imperatoris rettulimus coniugem.</p>
                            <p>Quare talis improborum consensio non modo excusatione amicitiae tegenda non est sed potius supplicio omni vindicanda est, ut ne quis concessum putet amicum vel bellum patriae inferentem sequi; quod quidem, ut res ire coepit, haud scio an aliquando futurum sit. Mihi autem non minori curae est, qualis res publica post mortem meam futura, quam qualis hodie sit.</p>
                        </div>
                        <pre><code>&lt;div data-simplebar class="simplebar"&gt;
&lt;/div&gt;</code></pre>
                    </div>
                </div>
                {*  SIMPLEBAR// *}

                <hr />

                {* // NOTIFICATION *}
                <div class="row">
                    <div class="col-sm-6">
                        {include file="elements/alert.tpl" tag="p" context="success" class="" icon=false text="Exemple de message de validation"}
                        {include file="elements/alert.tpl" tag="p" context="danger" class="" icon=false text="Exemple de message d'erreur"}
                        {include file="elements/alert.tpl" tag="p" context="info" class="" icon=false text="Exemple de message d'information"}
                        {literal}<pre><code>{include file="elements/alert.tpl" tag="p" context="success" class="" icon=false text=""}
{include file="elements/alert.tpl" tag="p" context="danger" class="" icon=false text=""}
{include file="elements/alert.tpl" tag="p" context="info" class="" icon=false text=""}
</code></pre>{/literal}
                    </div>
                    <div class="col-sm-6">
                        {include file="elements/alert.tpl" tag="p" context="success" class="" icon=true text="Exemple de message de validation"}
                        {include file="elements/alert.tpl" tag="p" context="danger" class="" icon=true text="Exemple de message d'erreur"}
                        {include file="elements/alert.tpl" tag="p" context="info" class="" icon=true text="Exemple de message d'information"}
                        {literal}<pre><code>{include file="elements/alert.tpl" tag="p" context="success" class="" icon=true text=""}
{include file="elements/alert.tpl" tag="p" context="danger" class="" icon=true text=""}
{include file="elements/alert.tpl" tag="p" context="info" class="" icon=true text=""}</code></pre>{/literal}
                    </div>
                </div>
                {*  NOTIFICATION// *}
            </section>
            {* // ELEMENTS*}

            {* FORMS ELEMENTS *}
            <section id="blockFormsStyleguide">
                <h2 class="sectionTitle">Forms</h2>
                <div class="row">
                    <div class="col-sm">

                        {* QUANTITE *}
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    {include file="form/input/qty.tpl" name="Qty1" id="Qty1"}
                                    {literal}<pre><code>&lt;div class="form-group"&gt;
{include file="form/input/qty.tpl" name="" id=""}
&lt;/div&gt;</code></pre>
                                    {/literal}
                                </div>
                            </div>
                        </div>
                        {* // QUANTITE *}

                        <hr class="mt-0" />

                        {* CHECKBOX / RADIO *}
                        <div class="row">
                            <div class="col-xl-6">
                                <div class="form-group checkboxList">
                                    <label class="checkboxListLabel">Label</label>
                                    {include file="form/input/checkbox.tpl" name="checkbox" id="checkbox_1" label="Item 1"}
                                    {include file="form/input/checkbox.tpl" name="checkbox" id="checkbox_2" label="Item 2"}
                                </div>
                                {literal}<pre><code>&lt;div  class="form-group checkboxList"&gt;
    &lt;label class="checkboxListLabel">Label&lt;/label>
    {include file="form/input/checkbox.tpl" name="" id="" label=""}
    {include file="form/input/checkbox.tpl" name="" id="" label=""}
&lt;/div&gt;</code></pre>{/literal}
                            </div>
                            <div class="col-xl-6">
                                <div class="form-group radioList">
                                    <label class="radioListLabel">Label</label>
                                    {include file="form/input/radio.tpl" name="radio" id="radio_1" label="Item 1"}
                                    {include file="form/input/radio.tpl" name="radio" id="radio_2" label="Item 2"}
                                </div>
                                {literal}<pre><code>&lt;div  class="form-group radioList"&gt;
    &lt;label class="radioListLabel">Label&lt;/label>
    {include file="form/input/radio.tpl" name="" id="" label=""}
    {include file="form/input/radio.tpl" name="" id="" label=""}
&lt;/div&gt;</code></pre>{/literal}
                            </div>
                        </div>
                        {* // CHECKBOX / RADIO *}

                        <hr class="mt-0" />
                        <fieldset class="formFieldset">
                            {*<legend class="formLegend">Exemple de fieldset</legend>*}

                            {* INPUT TEXT *}
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txt1" id="txt1" label="Exemple de champ obligatoire" required=true disabled=false}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" required=true disabled=false}
&lt;/div&gt;</code></pre>
                                        {/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <hr class="d-xl-none mt-0" />
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txt2" id="txt2" label="Exemple de champ inactif" required=false disabled=true}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" required=false disabled=true}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            {* // INPUT TEXT *}

                            <hr class="mt-0" />
                            <div class="row">
                                {* SELECT *}
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/select.tpl" name="select1" id="select1" label="Exemple de select obligatoire" required=true disabled=false values=["Item 1", "Item 2"]}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/select.tpl" name="" id="" label="" required=true disabled=false}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                                {* // SELECT *}

                                {* INPUT DATE *}
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/date.tpl" name="date1" id="date1" label="Exemple de datepicker obligatoire" required=true disabled=false}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/date.tpl" name="" id="" label="" required=true disabled=false}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                                {* // INPUT DATE *}
                            </div>

                            {* INPUT + SUBMIT *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txtGroup1" id="txtGroup1" label="Exemple de label" btn="OK"}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" btn="OK"}
&lt;/div&gt;</code></pre>
                                        {/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="txtGroup2" id="txtGroup2" label="Exemple de label" btn="OK" btnClass="btn-primary"}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/text.tpl" name="" id="" label="" btn="OK" btnClass="btn-primary"}
&lt;/div&gt;</code></pre>
                                        {/literal}
                                    </div>
                                </div>
                            </div>
                            {* // INPUT + SUBMIT *}

                            {* UPLOAD *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/upload.tpl" nomChamp="file1" label="Exemple de champ obligatoire d'upload" required=true}
                                        {literal}<pre><code>{include file="form/input/upload.tpl" nomChamp="" label="" required=true}</code></pre>{/literal}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                </div>
                            </div>
                            {* // UPLOAD *}

                            {* TEXTAREA *}
                            <hr class="mt-0" />
                            <div class="row">
                                <div class="col-sm">
                                    <div class="form-group">
                                        {include file="form/input/textarea.tpl" name="textarea1" id="textarea1" label="Exemple de label" required=true disabled=false}
                                        {literal}<pre><code>&lt;div class="form-group"&gt;
    {include file="form/input/textarea.tpl" name="" id="" label="" required=true disabled=false}
&lt;/div&gt;</code></pre>{/literal}
                                    </div>
                                </div>
                            </div>
                            {* // TEXTAREA *}

                            {* // INPUT NOTIF *}
                            <hr class="mt-0" />
                            {$hydrateForm = [
                                "inputNotif1" => "Test champ avec label rempli valide",
                                "inputNotif2" => "Test champ avec label rempli invalide",
                                "inputNotif3" => "Test textarea avec label rempli invalide"
                            ]}
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="inputNotif1" label="Exemple de champ valide" context="valid" feedback_text="Exemple de message de validation"}
                                    </div>

                                    <div class="form-group">
                                        {include file="form/input/text.tpl" name="inputNotif2" label="Exemple de champ invalide" context="invalid" feedback_text="Exemple de message d'erreur"}
                                    </div>

                                    <div class="form-group">
                                        {include file="form/input/select.tpl" name="inputNotif3" label="Exemple de select obligatoire" values=["Item 1", "Item 2"] context="invalid" feedback_text="Exemple de message d'erreur"}
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        {include file="form/input/textarea.tpl" name="inputNotif4" label="Exemple de champ invalide" context="invalid" feedback_text="Exemple de message d'erreur"}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group checkboxList">
                                        {include file="form/input/checkbox.tpl" name="inputNotif5" id="inputNotif5_1" label="Exemple de case à cocher obligatoire 1" context="invalid"}<br>
                                        {include file="form/input/checkbox.tpl" name="inputNotif5" id="inputNotif5_2" label="Exemple de case à cocher obligatoire 2" context="invalid"}<br>
                                        <div class="invalid-feedback">
                                            Exemple de message d'erreur
                                        </div>
                                    </div>

                                    <div class="form-group checkboxList">
                                        {include file="form/input/checkbox.tpl" name="inputNotif6" id="inputNotif6_1" label="Exemple 1" context="invalid"}
                                        {include file="form/input/checkbox.tpl" name="inputNotif6" id="inputNotif6_2" label="Exemple 2" context="invalid"}
                                        <div class="invalid-feedback">
                                            Exemple de message d'erreur
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group radioList">
                                        {include file="form/input/radio.tpl" name="inputNotif7" id="inputNotif7_1" label="Exemple de case à cocher obligatoire 1" context="invalid"}<br>
                                        {include file="form/input/radio.tpl" name="inputNotif7" id="inputNotif7_2" label="Exemple de case à cocher obligatoire 2" context="invalid"}<br>
                                        <div class="invalid-feedback">
                                            Exemple de message d'erreur
                                        </div>
                                    </div>

                                    <div class="form-group radioList">
                                        {include file="form/input/radio.tpl" name="inputNotif8" id="inputNotif8_1" label="Exemple 1" context="invalid"}
                                        {include file="form/input/radio.tpl" name="inputNotif8" id="inputNotif8_2" label="Exemple 2" context="invalid"}
                                        <div class="invalid-feedback">
                                            Exemple de message d'erreur
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {*  INPUT NOTIF// *}
                        </fieldset>
                    </div>
                </div>
            </section>
            {* // FORMS ELEMENTS *}

            {* TABLE *}
            <section id="blockTableStyleguide">
                <h2 class="sectionTitle">Tables</h2>
                <div class="row">
                    <div class="col-md">
                        <div class="table">
                            <div class="tableRow tableTitle">
                                <div class="tableCell">Tableau type 2 (div)</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A<br>sur deux lignes</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                            <div class="tableRow">
                                <div class="tableCell col66">Exemple de colonne A</div>
                                <div class="tableCell col33">Exemple de colonne B</div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md">
                        <table class="table">
                            <tr class="tableRow tableTitle">
                                <th class="tableCell" colspan="2">Tableau type 2 (table)</th>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A<br>sur deux lignes</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                            <tr class="tableRow">
                                <td class="tableCell col66">Exemple de colonne A</td>
                                <td class="tableCell col33">Exemple de colonne B</td>
                            </tr>
                        </table>
                    </div>
                </div>

            </section>
            {* // TABLE *}

            {* BLOC PRODUIT *}
            <section class="blockProductStyleguide" id="blockProductStyleguide">
                <h2 class="sectionTitle">Blocs produits</h2>
                <div class="row">
                    {for $col=1 to 3}
                        <div class="col col-sm-6 col-md-6 col-lg-4 d-flex align-items-stretch">
                            {include file="product/card_product_listing.tpl"}
                        </div>
                    {/for}
                </div>
                <div class="row">
                    <div class="col">
                        {literal}<pre><code>{include file="product/card_product_listing.tpl"}</code></pre>{/literal}
                    </div>
                </div>
            </section>
            {* // BLOC PRODUIT *}

        </div>
    </div>
{/block}

{block name="modal"}
    {include file="modal/modal_example.tpl"}
    {include file="modal/modal_example_xl.tpl"}
{/block}

{block name="script-js"}
    <script type="text/javascript">
        $('.invalid-feedback, .valid-feedback').show();
    </script>
{/block}